function kergrid = vis_camera_motion_traj_as_psfs(h,w,blursize,conv_mat)

imgrid = zeros(h,w);

smph = 1:blursize:h;
smpw = 1:blursize:w;
% shift center
tmp = (smph(1)-1) - (h-smph(end));
smph = smph - round(tmp/2);
tmp = (smpw(1)-1) - (w-smpw(end));
smpw = smpw - round(tmp/2);

[imgrid_ih,imgrid_iw] = meshgrid(smph, smpw);
imgrid(imgrid_ih,imgrid_iw) = 1;

kergrid = reshape(conv_mat*imgrid(:),h,w);
    